Subject: Re: Fwd: cygwin tools in context menus
From: Rupert Brooks <[email-masked]>
To: Tacvek <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 5 Dec 2005 17:07:12 -0500

Thanks to all who responded.  Brians solution still gives me some
problems with paths with spaces in the names. unfortunately i havent
had time to figure out an improvement, but when/if i do i will post
it.

Looking forward to Tacveks solution.

Rupert B.

On 12/5/05, Tacvek <[email-masked]> wrote:
> Brian Dessent said:
> >C:\cygwin\bin\run bash -c "/usr/X11R6/bin/gv -display localhost:0.0
> >\"$(cygpath \"%1\")\" &"
> >
> >This works for me.
>
> Not bad. However, that is less than ideal for emacs.
> I have a working solution with the following features:
>
> Uses emacsserver, so that only one copy of emas needs to be in memory at a
> time.
> Supports windows shortcuts/cygwin symlinks.
> Paths with spaces.
> Multiple files (Only works right when emacs is already running).
> Uses X11. (Requires it to be running already)
> Network paths.
> It inhierits everythong set in a user's profile and bash_rc.
> Uses run.exe
>
> It is definately emacs specific though.
> I will send it to the list before too long, or at least I currently intend
> to.
>

--
--------------------------------------------------------------
Rupert Brooks
McGill Centre for Intelligent Machines (www.cim.mcgill.ca)
Ph.D Program in Intelligent Systems
http://www.cyberus.ca/~rbrooks

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/